export declare type ErrorT = {
    code: string;
    errors: Array<object>;
    msg: string;
} & {
    [key: string]: any;
};
export declare type ProductForViewT = {
    id: string;
    sku?: string;
    altId?: string;
    altIdType?: string;
} & {
    [key: string]: any;
};
export declare type ProductForCheckoutT = {
    id: string;
    sku: string;
    price: any;
    quantity: number;
} & {
    [key: string]: any;
};
export declare type RecommendationT = {
    id: string;
    product_name: string;
    product_url: string;
    image_url: string;
} & {
    [key: string]: any;
};
export declare type RecommenderT = {
    name: string;
    description?: string;
    recommenderType: string;
} & {
    [key: string]: any;
};
export declare type ZoneResponseT = {
    displayMessage?: string;
    recoUUID: string;
    recs: Array<RecommendationT>;
    recommenderName: string;
} & {
    [key: string]: any;
};
export declare type RecommendersResponseT = {
    recommenders: Array<RecommenderT>;
} & {
    [key: string]: any;
};
export declare type ActivityResponseT = {
    uuid: string;
} & {
    [key: string]: any;
};
export declare type RecommendationsResponseT = {
    displayMessage?: string;
    recoUUID: string;
    recs: Array<RecommendationT>;
} & {
    [key: string]: any;
};
